<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Extensions StructType
 * Meta informations extracted from the WSDL
 * - documentation: Extensions to schema. (Wrapper tag used to avoid problems with handling of optional 'any' by some validators). | Arbitrary extensions.
 * - type: ExtensionsStructure
 * @subpackage Structs
 */
class Extensions extends AbstractStructBase
{
    /**
     * The _
     * @var mixed
     */
    public $_;
    /**
     * Constructor method for Extensions
     * @uses Extensions::set_()
     * @param mixed $_
     */
    public function __construct($_ = null)
    {
        $this
            ->set_($_);
    }
    /**
     * Get _ value
     * @return mixed|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param mixed $_
     * @return \StructType\Extensions
     */
    public function set_($_ = null)
    {
        $this->_ = $_;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Extensions
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
